import { isOn } from 'feature-toggle-service';
/**
 * Checks if feature toggle is turned on of turned off
 *
 * @param {string} toggle: name of the feature toggle previously configured via `FeatureToggleProvider`
 *
 * @returns boolean
 */
/**
 *
 *
 * @param {(string[] | string)} featureName: : name of the feature toggle previously configured via `FeatureToggleProvider`
 *
 * @returns boolean
 */
const isOnCheck = (featureName) => {
    const isFeatureToggleOn = (toggle) => toggle[0] === '!' ? !isOn(toggle.replace('!', '')) : isOn(toggle);
    if (typeof featureName === 'string') {
        return isFeatureToggleOn(featureName);
    }
    else if (Array.isArray(featureName)) {
        return featureName.every(isFeatureToggleOn);
    }
    return false;
};
export const FeatureToggle = (props) => {
    const showContent = isOnCheck(props.featureName);
    return showContent ? props.children : null;
};
