(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('feature-toggle-service')) :
    typeof define === 'function' && define.amd ? define(['exports', 'feature-toggle-service'], factory) :
    (global = global || self, factory(global.ReactorFeatureToggle = {}, global.featureToggleService));
}(this, (function (exports, featureToggleService) { 'use strict';

    /**
     * Checks if feature toggle is turned on of turned off
     *
     * @param {string} toggle: name of the feature toggle previously configured via `FeatureToggleProvider`
     *
     * @returns boolean
     */
    /**
     *
     *
     * @param {(string[] | string)} featureName: : name of the feature toggle previously configured via `FeatureToggleProvider`
     *
     * @returns boolean
     */
    var isOnCheck = function (featureName) {
        var isFeatureToggleOn = function (toggle) {
            return toggle[0] === '!' ? !featureToggleService.isOn(toggle.replace('!', '')) : featureToggleService.isOn(toggle);
        };
        if (typeof featureName === 'string') {
            return isFeatureToggleOn(featureName);
        }
        else if (Array.isArray(featureName)) {
            return featureName.every(isFeatureToggleOn);
        }
        return false;
    };
    var FeatureToggle = function (props) {
        var showContent = isOnCheck(props.featureName);
        return showContent ? props.children : null;
    };

    var FeatureToggleProvider = function (props) {
        featureToggleService.set(props.featureToggleService);
        return props.children;
    };

    exports.FeatureToggle = FeatureToggle;
    exports.FeatureToggleProvider = FeatureToggleProvider;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
